libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
pqxx::notify_listener Class Reference

Obsolete notification receiver. More...

`#include <notify-listen.hxx>`

## Public Member Functions

| notify_listener (connection_base &c, const std::string &n)
virtual | ~notify_listener () throw ()
const std::string & | name () const
virtual void | operator() (int be_pid)=0

## Protected Member Functions

connection_base & | Conn () const throw ()
connection_base & | conn () const throw ()

## Detailed Description

Obsolete notification receiver.

Deprecated:
  Use notification_receiver instead.

## Constructor & Destructor Documentation

pqxx::notify_listener::notify_listener | ( | connection_base & | c,
|  | const std::string & | n
| ) |  |

pqxx::notify_listener::~notify_listener | ( |  | ) | throw ()

virtual

## Member Function Documentation

connection_base& pqxx::notify_listener::Conn | ( |  | ) | const throw ()

protected

connection_base& pqxx::notify_listener::conn | ( |  | ) | const throw ()

protected

const std::string& pqxx::notify_listener::name | ( |  | ) | const

virtual void pqxx::notify_listener::operator() | ( | int | be_pid | ) |

pure virtual

The documentation for this class was generated from the following files:

- notify-listen.hxx
- notify-listen.cxx